[or-cvs] r14017: I modified a zsh function that Weasel published in his dotfi (tor/trunk/contrib)

ioerror at seul.org ioerror at seul.org
Thu Mar 13 22:58:51 UTC 2008


Author: ioerror
Date: 2008-03-13 18:58:51 -0400 (Thu, 13 Mar 2008)
New Revision: 14017

Added:
   tor/trunk/contrib/sd
Log:
I modified a zsh function that Weasel published in his dotfiles svn repo. It's now a small utility for taking a nickname and returning information about the node. It currently uses Weasel's directory v2 authority information.


Added: tor/trunk/contrib/sd
===================================================================
--- tor/trunk/contrib/sd	                        (rev 0)
+++ tor/trunk/contrib/sd	2008-03-13 22:58:51 UTC (rev 14017)
@@ -0,0 +1,53 @@
+#!/bin/bash
+#
+# Copyright (c) 2005, 2006, 2007, 2008 Peter Palfrader <peter at palfrader.org>
+# Copyright (c) 2008 Jacob Appelbaum <jacob at appelbaum.net>
+#
+# Permission is hereby granted, free of charge, to any person obtaining
+# a copy of this software and associated documentation files (the
+# "Software"), to deal in the Software without restriction, including
+# without limitation the rights to use, copy, modify, merge, publish,
+# distribute, sublicense, and/or sell copies of the Software, and to
+# permit persons to whom the Software is furnished to do so, subject to
+# the following conditions:
+#
+# The above copyright notice and this permission notice shall be
+# included in all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+# 
+# This small script fetches information about a server when given a nickname.
+# It currently uses the v2 dir information and not the v3 consensus by default.
+# It requires wget, perl, awk to function properly. This is based on a zsh
+# dotfile from weasel and adapted to be a small bash utility.
+# 
+
+set -u;
+set -e;
+
+# Feel free to set any authority you desire, we're using weasel's by default
+# You could also try the v3 directory infomation in weasel's dir authority:
+# http://tor.noreply.org:80/tor/status/authority
+#
+authority="http://tor.noreply.org:80/tor/status/authority";
+
+nickname="$1";
+
+fp=`wget -q -O - $authority | \
+	awk '$1 == "r" && $2 == "'$nickname'" {printf "%s===", $3}' | \
+	perl -MMIME::Base64 -e "print unpack(\"H*\", decode_base64(<>)),\"\n\"";`
+
+if [ "$fp" != "" ];
+then
+	wget -q -O - http://tor.noreply.org:80/tor/server/fp/$fp;
+	exit $?;	
+else
+	echo "It appears the nickname is not currently known by the directory authority.";
+	exit 1;
+fi


Property changes on: tor/trunk/contrib/sd
___________________________________________________________________
Name: svn:executable
   + *



More information about the tor-commits mailing list